%define _requires_exceptions python-gi

Name:           dbus-python
Version:        1.2.18
Release:        %mkrel 1
Summary:        D-Bus Python Bindings
License:        MIT
Group:          Development/Python
URL:            http://www.freedesktop.org/wiki/Software/DBusBindings
Source0:        %{name}-%{version}.tar.xz
Patch0:         dbus-python-fix-linking.patch

BuildRequires:	libdbus-1-devel
BuildRequires:	libglib2.0-devel
BuildRequires:	python3-devel
BuildRequires:  python3-gobject3-devel

%description
D-Bus python bindings for use with python programs.

%package -n python3-dbus
Summary:        D-Bus Python3 Bindings
Group:          Development/Python
Obsoletes:      dbus-python3 < %{version}-%{release}
Provides:       dbus-python3 = %{version}-%{release}
Requires:       dbus >= 1.8
Requires:       python3-gobject3

%description -n python3-dbus
D-Bus python bindings for use with python3 programs.

%package -n python-dbus-devel
Summary:        Development files for python-dbus and python3-dbus
Group:          Development/Python
Requires:       python3-dbus = %{version}-%{release}

%description -n python-dbus-devel
Header files for python-dbus and python3-dbus.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_libdir}/pkgconfig/
install -p -m 0644 build/temp.linux-*-%{python3_version}/dbus-python.pc %{buildroot}%{_libdir}/pkgconfig/
sed -i 's\prefix=.*\prefix=/usr\g' %{buildroot}%{_libdir}/pkgconfig/dbus-python.pc
mkdir -p %{buildroot}%{_includedir}/dbus-1.0/dbus/
install -p -m 0444 include/dbus/dbus-python.h %{buildroot}%{_includedir}/dbus-1.0/dbus/

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dbus-python
find %{buildroot} -type f -name "*.la" -delete

%files -n python3-dbus
%doc README NEWS doc/*.txt
%{python3_sitearch}/dbus*
%{python3_sitearch}/_dbus_*

%files -n python-dbus-devel
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Mar 07 2022 TerryN <terryn94 at gmail.com> 1.2.18-1pclos2022
- update and rebuild for python 3.10

* Wed Aug 29 2018 tex - 1.2.8-1pclos2018
- NEW

* Wed Apr 04 2018 marcin82 <fixxer1982 at gmail.com> 1.2.6-1pclos2018
- update

* Sat May 07 2016 bb <bb> 1.2.4-1pclos2016
- update

* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 1.2.0-3pclos2015
- rebuild on python 3.4.2

* Fri Dec 13 2013 billybot <billybot> 1.2.0-2pclos2013
- for python 3
